
public class enemy extends particle{
	public boolean isAsleep;
	public int  waitSleep, waitWake;
	public int enemyType;
	
	enemy(double x, double y, int enemyType){ //Default 2d constructor
		super(x,y);
		this.enemyType = enemyType;
	}
	
	enemy(double x,double y, int life, int velocity, int theta, int enemyType){ //2d Constructor
		
		super(x, y, life, velocity, theta);
		this.isAsleep = false;
		this.waitSleep = 0;
		this.waitWake = 0;
		this.enemyType = enemyType;
	
	}
	
	enemy(double x, double y, double z, int enemyType){ //Default 3d constructor
		
		super( x, y, z);
		this.isAsleep = false;
		this.waitSleep = 0;
		this.waitWake = 0;
		this.enemyType = enemyType;
		
	}
	
	enemy(double x, double y, double z, int life, int velocity, int theta, int phi, int enemyType){ //3d constructor
		
		super( x, y, z, life, velocity, theta, phi);
		this.isAsleep = false;
		this.waitSleep = 0;
		this.waitWake = 0;
		this.enemyType = enemyType;
	
	}
	
	public final void respawn(int x, int y){
		//this.is3d = false;
		this.x = x;
		this.y = y;
		this.oldX = x;
		this.oldY = y;
		this.x0 = x;
		this.y0 = y;
		this.life = (int)(Math.random() * 10)+1;
		this.velocity = (int)(Math.random() * 5)+2;
		//Note this random angle generation will only produce angles
		//of a certain set of degrees.
		this.theta = 180;
		//Set Activation time
		this.oldTime = System.currentTimeMillis();
	}
	
	public void tick( int decrement){
		
		if(this.waitSleep >0){
			this.waitSleep = this.waitSleep - decrement;
			if(this.waitSleep <= 0){
				this.waitSleep = 0;
				this.isAsleep = true;
			}
		}
		if(this.waitWake >0){
			this.waitWake = this.waitWake - decrement;
			if(this.waitWake <= 0){
				this.waitWake = 0;
				this.isAsleep = false;
			}	
		}
		
	}
	
	public void wake(){
		this.isAsleep = false;	
	}
	
	public void wake(int time){
		this.waitWake = time;
	}
	
	public void sleep(){
		this.isAsleep = true;	
	}
	
	public void sleep(int time){
		this.waitSleep = time;
	}
}
