public class player extends particle{
	public int currentWeapon, maxWeapons, armor, currentImageType, lives;
	private String weapon[];
	
	
	player(double x, double y, int maxWpn){//Default 2d constructor
		super(x,y);
		this.currentImageType = 0;
		this.armor = 0;
		this.maxWeapons = maxWpn;
		this.currentWeapon = 0;
		this.weapon = new String[this.maxWeapons];
		this.lives = 3;
	}
	
	player(double x,double y, int life, int velocity, int theta, int maxWpn, int armor, int lives){//Detailed 2d Constructor
		super(x, y, life, velocity, theta);
		this.currentImageType = 0;
		this.armor = armor;
		this.maxWeapons = maxWpn;
		this.currentWeapon = 0;
		this.weapon = new String[this.maxWeapons];
		this.lives = lives;
	}
	
	public void age(){
		
		if(this.armor > 0){
			this.armor--;
		}
		else{
			if(this.life > 0){
				this.life--;
			}
		}
	}
	
	public void age(int decrement){
		
		if(this.armor > 0){
			this.armor = this.armor - decrement;
			if(this.armor < 0){this.armor = 0;}
		}
		else{
			this.life = this.life - decrement;
			if(this.life < 0){this.life = 0;}
		}
	}
	
	public void respawn(int x, int y){
		this.x = x;
		this.y = y;
		this.oldX = x;
		this.oldY = y;
		this.x0 = x;
		this.y0 = y;
		this.life = 10;
		this.velocity = 1;
		//Note this random angle generation will only produce angles
		//of a certain set of degrees.
		this.theta = 180;
		//Set Activation time
		this.oldTime = System.currentTimeMillis();
	}
}
