import java.awt.Image;
import java.awt.Color;
import java.awt.Font;

public class windowJ{
	public int x, y, width, height;
	public Color fntColor, bgColor;
	public Font wFont;
	public String name;
	public Image bgImage;
	
	private String message[];
	private int msgTick[], maxMsg;
	
	private static boolean test;
	
	static{
		test = false;
	}
	
	windowJ(int x, int y, Font wFont, Color fntColor, String winName){
		this.x = x;
		this.y = y;
		this.maxMsg = 10;
		this.width = 1;
		this.height = 1;
		this.wFont = wFont;
		this.fntColor = fntColor;
		this.bgColor = null;
		this.bgImage = null;
		this.message = new String[this.maxMsg];
		this.msgTick = new int[this.maxMsg];
		for(int j=0; j < this.maxMsg; j++){
			this.message[j] = "";
			this.msgTick[j] = 0;
		}
		this.name = winName;
	}
	
	public final void addMessage(String msg, int tick){
		try{
			test = false;
			//Try to find an empty spot in the message que
			for(int j = 0; j < this.maxMsg; j++){
				if(this.message[j] == ""){
					this.message[j] = msg;
					this.msgTick[j] = tick;
					test = true;
					break;
				}
			}
			//If there isn't an empty spot in the que then
			//shift the array up by one and add it to the end
			if(!test){
				for(int j=this.maxMsg; j > 0; j--){
					this.message[j] = this.message[j-1];
					this.msgTick[j] = this.msgTick[j-1];
				}
				this.message[this.maxMsg] = msg;
				this.msgTick[this.maxMsg] = tick;
			}
		}
		catch(ArrayIndexOutOfBoundsException e){
		//Do nothing
		}
	}
	
	public final int msgLength(){
		int k=0;
		for(int j=0; j < this.maxMsg; j++){
			if(this.message[j] != ""){
				k++;
			}
		}
		
		return k;
	}
	
	public final String getMsg(int w){
		if(w < this.maxMsg){
			return this.message[w];
		}
		else{
			return "";
		}
	}
	
	public final void age(){
		try{
			for(int j=0; j < this.maxMsg; j++){
				//Decrement remaining tick counts by one
				this.msgTick[j]--;
				if(this.msgTick[j] < 1){
					this.msgTick[j] = 0;
					//Erase message when ticks run out
					this.message[j] = "";
				}
			}
		
			for(int j=0; j < this.maxMsg-1; j++){
				//Shift the array up, or settle the array towards the top
				if(this.message[j] == ""){
					if(j != this.maxMsg){
						this.message[j] = this.message[j+1];
						this.message[j+1] = "";
						//Move ticks also
						this.msgTick[j] = this.msgTick[j+1];
						this.msgTick[j+1] = 0;
					}
				}
			}
		}
		catch(ArrayIndexOutOfBoundsException e){
			//Do nothing
		}
	}
}
